// Code generated by mockery v1.0.0. DO NOT EDIT.

package mocks

import context "context"
import mock "github.com/stretchr/testify/mock"
import weatherapi "gitlab.com/maciej.dlugoszek/weatherapi"

// WeatherProvider is an autogenerated mock type for the WeatherProvider type
type WeatherProvider struct {
	mock.Mock
}

// GetByCityName provides a mock function with given fields: ctx, cityName
func (_m *WeatherProvider) GetByCityName(ctx context.Context, cityName string) (*weatherapi.Weather, error) {
	ret := _m.Called(ctx, cityName)

	var r0 *weatherapi.Weather
	if rf, ok := ret.Get(0).(func(context.Context, string) *weatherapi.Weather); ok {
		r0 = rf(ctx, cityName)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*weatherapi.Weather)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(context.Context, string) error); ok {
		r1 = rf(ctx, cityName)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}
